<?php
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
//require_once"../template/maincore.php";
//include_once"../themes/$config_themes/index.php";

//----ОБНОВЛЕНИЕ-СТРАНИЦЫ----//
 /*
 function avto($s) {
 $rand = rand(0,999);
 global $config_chatrew;
 $s = str_replace("<title>","<meta http-equiv=\"refresh\" content=\"$rew;URL=chat.php?rand=$rand&amp;".SID."\" /><title>",$s);
 return $s;
 }
 ob_start("avto");
 */

//  if (md5($_SESSION['par'])!==$provpar || $_SESSION['log']!==$provlog || $_SESSION['log']=="" || md5($_SESSION['par'])==""){
// 	header ("Location: index.php?".SID."");exit;}
 //----Автообновление-М18----//

  function avto($s) {
 	$rand = mt_rand(100,999);
 	global $config_chatrew;
 	$s = str_replace("<title>","<meta http-equiv=\"refresh\" content=\"$config_chatrew;URL=chat.php?id_room=$id_room&amp;r=$rand&amp;".SID."\" /><title>",$s);
 	return $s;
 	}
 	ob_start("avto");

 	include_once"../themes/$config_themes/index.php";
 	include_once"../template/isset.php";
 	$rand = rand(100,999);
 //==========================//
 if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
 //-------------- Запись в профиль ---------------//
 $ufile = file(BASEDIR."local/profil/$log.prof");
 $udata = explode(":||:",$ufile[0]);
 $udata[14]=$ip;
 $udata[12]++;
 $udata[36]++;
 $udata[41]++;
  for ($u=0; $u<$config_userprofkey; $u++){
 	$utext.=$udata[$u].':||:';
 	}
 	if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
 		$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
 		flock($fp,LOCK_EX);
 		ftruncate($fp,0);
 		fputs($fp,$utext);
 		fflush($fp);
 		flock($fp,LOCK_UN);
 		fclose($fp);
 		unset($utext);
 		}
 //===========================//
 $text = @file("../local/profil/$log.prof");
  if ($text!=""){
 	$udata = explode(":||:",$text[0]);
 	$provlog=trim($udata[0]);
 	$provpar=trim($udata[1]);
 	$privat=trim($udata[10]);
 	$file_online=file("../local/datachat/online.dat");
 	$file_online_k=count($file_online);
 	$control=trim($udata[49]);
 	}

// if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

 	//=================================//
 	$room_ok='0';
 	//----ПРИВАТ----//
 	/*
 	if($udata[10]>0)
 	{
 		echo'<img src="<b style="font-weight: 600;"><a class="menu" href="../pages/privat.php?'.SID.'">';
 		echo'<font color="red">Письмо ['.$privat.']</font></a></b><br />';
 		}
 		*/
 	//==============//
 	//--Связка-приват-знакомства--//
 	   /*
 		$co_n_ss='0';
 		if (file_exists("../local/datalove/kont/$log.kont")){
 			$counter_n_s=file("../local/datalove/kont/$log.kont");
 			$counter_n_s_k=count($counter_n_s);
 			for ($i=0;$i<$counter_n_s_k;$i++){
 				$co_n=explode(":||:",$counter_n_s[$i]);
 				if ($co_n[2]!='' && $co_n[2]>'0'){
 					$co_n_ss=$co_n_ss+$co_n[2];
 					}
 				}
 			}

 		if ($co_n_ss!='0'){
 			echo '<img src="../images/img/mail.gif" alt="" /> <b style="font-weight: 600;">
 				<a class="menu" href="../love/love.php?'.SID.'"><font color="#FF0000">Письмо в знакомствах!</font></a>
 				</b><br />';}
 				if ($co_n_ss!='0' || $udata[10]>0){
 					echo "<br />\r\n";
 					}
 		*/
 	//==========================//
 	//---------Комнаты----------//
 	if (!file_exists("../local/datachat/rooms.dat")){
 		header ("Location: index.php?".SID."");
 		}
 		else
 		{
 			$datarooms=file("../local/datachat/rooms.dat");
 			$datarooms=array_reverse($datarooms);
 			$datarooms_k=count($datarooms);
 			for ($i=0;$i<$datarooms_k;$i++)
 			{
 				$room=explode(":||:",$datarooms[$i]);
 				if ($id_room==$room[0]){
 					$room_ok='1';
 					$room2=$room;
 					}
 				}
 			}
 			if ($room_ok!='1'){
 				header ("Location: index.php?".SID."");
 				exit;}
 				$time=time();
 				$online=file("../local/datachat/online.dat");
 				$online_k=count($online);
 				for ($i=0;$i<$online_k;$i++){
 					$onl=explode(":||:",$online[$i]);
 					if ($log!=$onl[0] && $online[$i]!=''){
 						$file_online.=$online[$i];
 						}
 					}
 					$file_online.="$log:||:$id_room:||:$time:||::||::||::||::||::||::||:\r\n";
 					$fm=fopen("../local/datachat/online.dat","w");
 					flock($fm,LOCK_EX);
 					fputs($fm,"$file_online");
 					fflush($fm);
 					flock($fm,LOCK_UN);
 					fclose($fm);
 					chmod ("../local/datachat/online.dat", 0666);
 					if ($room2[2]=='1'){include "um.php";}
 					if ($room2[3]=='1'){include "shut.php";}
 					if ($room2[4]=='1'){include "comedy.php";}
 					if ($room2[5]=='1'){include "matbot.php";}
 					if ($room2[6]=='1'){include "matvopr.php";}
 					$k_chel='0';
 					$onli=file("../local/datachat/online.dat");
 					$k_chel4=count($onli);
 					for ($d=0;$d<$k_chel4;$d++){
 						$onln=explode(":||:",$onli[$d]);
 						if ($onln[1]==$id_room && $time<$onln[2]+90){
 							$k_chel++;
 							}
 						}
 		echo '</div><div class="b"><b style="font-weight: 600;">'.$room2[1].'</b> ('.$k_chel.')</div><div>';
 		echo'<br>';
 		echo '<a href="chat.php?id_room='.$id_room.'&amp;r='.$rand.'&amp;'.SID.'">Обновить</a> | ';
 		echo '<a href="index.php?'.SID.'">Комнаты</a> | ';
 	echo '<a href="who.php?'.SID.'">Кто в Чате</a> |';
 	if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
 		if ($dostup==101 || $dostup==102){
 		echo'<a href="../'.$config_mpanel.'/adminchat.php?'.SID.'">Админчат</a> |<br>';
 		}
 		else
 		{
 			echo'<a href="../book/?'.SID.'">Гостевая</a> ('.(int)$book_shet.') |';
 			}
 	}
        //---Форма---//
  /*      //--старая-форма--//
 		echo "<form action=\"add.php?id_room=$id_room&amp;act=send&amp;".SID."\" method=\"post\" >";
 		echo "<textarea name=\"msg\"></textarea>\r\n";
 		echo "<br />\r\n";
 		 		if($config_translit=="1"){
 			echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';
 			}
            echo '<br />';
 			echo'<input type="submit" value="Отправить" /><br>';
            echo '</form>';
            echo '<hr />';  */
 	if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
 		//---Форма---//
 		if($config_themes!="wml"){
 			echo'<br><hr><form action="add.php?id_room='.$id_room.'&amp;act=send&amp;'.SID.'" method="post">';
 			echo'<b>Сообщение:</b><br>';
 			echo'<textarea name="msg">'.$imja.'</textarea><br>';
 			if($config_translit=="1"){
 				echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}
 				echo'<input type="submit" value="Добавить" /></form><hr>';
 				}
 				else{
 					echo'Сообщение:<br>';
 					echo'<input name="msg" value="'.$imja.' "/><br>';
 					if($config_translit=="1"){
 						echo'Транслит: <select name="trans"><option value="0">Нет</option>';
 						echo'<option value="y">Да</option>';
 						echo'</select><br>';}
 						echo'<anchor>Сказать';
 						echo'<go href="add.php?id_room='.$id_room.'&amp;act=send&amp;'.SID.'" method="post">';
 						echo'<postfield name="msg" value="$(msg)"/>';
 						echo'<postfield name="trans" value="$(trans)"/>';
 						echo'</go></anchor><br>--------------------<br>';}
 			//======================//
 	}
 	else
 	{
 	echo '<br>Вы не авторизованы, чтобы добавить сообщение, необходимо<br>';
 	echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b>
 	<a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
 	}

           //=======//
 			if (!file_exists("../local/datachat/$id_room.chat")){
 				$fm=fopen("../local/datachat/$id_room.chat","w");
 				flock($fm,LOCK_EX);
 				fputs($fm,"");
 				fflush($fm);
 				flock($fm,LOCK_UN);
 				fclose($fm);
 				chmod ("../local/datachat/$id_room.chat", 0666);
 				}
 				$maxpostchat=10; // тут количество строк (постов) на страницу
 				$file = @file("../local/datachat/$id_room.chat");
 				$chat=array_reverse($file);
 				$total = count($file);
 				if (empty($_GET['start'])) $start = 0;
 				else
 				$start = $_GET['start'];
 				if ($total < $start + $config_chatpost){ $end = $total;
 				}
 				else
 				{
 					$end = $start + $config_chatpost;
 					}
  for ($i = $start; $i < $end; $i++){
 	$mess=explode(":||:",$chat[$i]);
 	##$i++;
 	if ($mess[3]==$log || $mess[3]=='' || $mess[0]==$log){ // ПРОВЕРКА НА ПРИВАТНОСТЬ
 		$mess[1]=base64_decode($mess[1]);
 		$mess[2]=base64_decode($mess[2]);
 		$r++;
 		///////// смайлы /////////
 		if ($crop_sml!='1'){
 			$dir_smiles = opendir (BASEDIR."images/smiles/");
 			$basedir=BASEDIR;
 			while ($file_smiles = readdir ($dir_smiles))  {
 				if (ereg("\.gif$",$file_smiles)){
 					$smile=str_replace(".gif","",$file_smiles);
 					$mess[2]=str_replace(":$smile",' <img src="'.BASEDIR.'images/smiles/'.$smile.'.gif" alt=""> ',$mess[2]);
 					}
 				}
 				closedir ($dir_smiles);
 			}else{echo':)';}
 	////////////////////////Маленький Фак////
 	/// $mess[0] --Логин
 	/// $mess[1] --(Время поста?)
 	/// $mess[2] --Мессага
 	/// $mess[3] --Приватно
 	/// $mess[4] --Боты
 	///
 	/////////////////////////////////////////
 	  //---Определение-Онлайн-именно-в-чате---//
 	 $online=file("../local/datachat/online.dat");
 	 $online_k=count($online);
 	 $onl='';
 	 for ($z=0;$z<$online_k ;$z++ ){
 	 	$on=explode(":||:",$online[$z]);
 	 	if ($mess[0]==$on[0] && $id_room==$on[1] && $time<$on[2]+90){
 	 		$onl=' <font color="#00E000">!</font>';
 	 		}else{$onl=' <font color="#FF0000">*</font>';}}

 	//	echo '</div><div class="b">';
 	//--Поехали-Аватары--//
 	/*
 	$ava = @file("../local/profil/$mess[0].prof");
 	 $avv = explode(":||:",$ava[0]);
 	 if($avv[43]!="" && $avv[43]!="noavatar.gif"){
 	 	echo"<img src=\"../$avv[43]\" alt=\"\"> ";
 	 	}
 	 	elseif ($mess[4]=='1'){
 	 		echo'<img src=\"../images/avators/000.gif\" ';
 	 		}
 	 		elseif ($mess[4]=='2'){
 	 			echo'<img src=\"../images/avators/000.gif\" ';
 	 			}
 	 			elseif ($mess[4]=='3'){echo'<img src=\"../images/avators/000.gif\" ';
 	 			}else{echo'<img src="../images/avators/noavatar.gif" alt=""> ';}
 	 			//==Вариант рабочий, но сменил на 18==//
 	*/
 	 $mess[2]=bb_code($mess[2]);
 	 $ava = file(BASEDIR."local/profil/$mess[0].prof");
 	 $avv = explode(":||:",$ava[0]);
 	 $statwho=user_online($mess[0]);
 	 if($mess[4]=="1"){
 	 	$avv[43]="images/img/mag.gif";
 	 	$statwho='<font color="#00FF00">[On]</font>';}
 	 	if($mess[4]=="2"){
 	 		$avv[43]="images/img/shut.gif";
 	 		$statwho='<font color="#00FF00">[On]</font>';}
 	 		if($mess[4]=="3"){
 	 			$avv[43]="images/img/comedyavv.gif";
 	 			$statwho='<font color="#00FF00">[On]</font>';}
 	 			if($mess[4]=="4"){
 	 				$avv[43]="images/img/mag.gif";
 	 				$statwho='<font color="#00FF00">[On]</font>';}
 	 				if($mess[4]=="5"){
 	 					$avv[43]="images/img/shut.gif";
 	 					$statwho='<font color="#00FF00">[On]</font>';}
 	 					if($mess[4]=="6"){
 	 						$avv[43]="images/img/bot.gif";
 	 						$statwho='<font color="#00FF00">[On]</font>';}
 	 						if(!empty($udata[45])){
 	 							if($avv[43]!="" && $avv[43]!="noavatar.gif"){
 	 								echo '<div class=b><img src="../'.$avv[43].'" alt=""> ';
 	 								}
 	 								else
 	 								{
 	 									echo '<div class=b><img src="../images/avators/noavatar.gif" alt=""> ';
 	 									}
 	 							}else{
 	 								echo '<div class=b><img src="../images/img/edit.gif" alt=""> ';}
 	 //===Готово===//
 	 //--собственно-сам-пост-с-логином--/
 	 	if ($mess[4]=='' && $mess[0]!=$log){
 	 		echo '<a href="priv.php?kont='.$mess[0].'&amp;id_room='.$id_room.'&amp;'.SID.'">';
 	 		} //<---Ссылка---//
 	 //--Ехали-определение-пола--//
 	 $text = @file("../local/profil/$mess[0].prof");
 	 if ($text!=""){
 	 	$uda = explode(":||:",$text[0]);
 	 	$pol=trim($uda[15]);
      //--------Определение-пола--------//
      if ($pol=="M"){echo "<b><font color=\"#3369FF\">[</font></b>";}
      else
      {if ($pol=="Ж"){echo "<b><font color=\"#FF6633\">[</font></b>";}}
 	 //===левая=скобка=готово==//
 	 		echo '<b>'.$mess[0].'</b>'; //<---Логин---//
 	 //--------Определение-пола-правая-скобка------//
 	  if ($pol=="M"){echo "<b><font color=\"#3369FF\">]</font></b>";}
 	  else
 	  {if ($pol=="Ж"){echo '<b><font color="#FF6633">]</font></b>';}}
 	  if ($mess[4]=='' && $mess[0]!=$log){
 	 			echo "</a>";} //<---обрезка-ссылки--//
 	 			echo ''.$onl.' '; //--Онлайнер-именно-в-чате--//
 	 			echo ''.$statwho.' '.$mess[1].''; //--Онлайнер+время-поста--//
 	 			echo "</div></div>";
 	 			//---ПРИВАТНО---//
 	 	if ($mess[3]!=''){
 	 		echo '<font color="red"><b><big>! </big></b></font>';} //<--Приватно--//
 	 			echo ''.$mess[2].'<br />';
 	  		//======готово======//
 	  	}
 	  	else
 	  	{
 	  		//---если-нет-пола-или-бот---//
 	  		echo "<b><font color=\"#00AF00\">[</font></b>";
 	  		//===левая=скобка=готово==//
 	 		echo '<b>'.$mess[0].'</b>'; //<---Логин---//
 	 		//---Определение-пола-правая-скобка---//
 	 		echo "<b><font color=\"#00BF00\">]</font></b>";
 	 		echo '</a><font color="#00FF00"> ! [On] </font>'.$mess[1].'</div></div>'.$mess[2].'<br />';
 	  		//======готово======//
 	  	}//==============//
 	 } // проверка на приватность
 	}
 	if ($r<1){
 		echo '<font color="#00BF00">Cообщений нет, будь первым!</font><br />';}
 		echo '<hr />';
 	if ($start != 0) {
 		echo "<a href=\"chat.php?id_room=$id_room&start=".($start-$maxpostchat)."&amp;".SID."\">&lt;-Назад</a> | ";
 		}
 		else
 		{
 			echo'&lt;-Назад';}
 			echo' | ';
 		if ($total > $start + $maxpostchat) {
 			echo "<a href=\"chat.php?id_room=$id_room&start=".($start+$maxpostchat)."&amp;".SID."\">Далее-&gt;</a>";
 			}
 			else
 			{
 				echo'Далее-&gt;';}
 	}else{
 		echo '<br>Вы не авторизованы, чтобы добавить сообщение, необходимо<br>';
 		echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b>
 		<a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';}
 		echo '<hr />';
 		echo '<a href="index.php?'.SID.'">Комнаты</a> | <a href="who.php?'.SID.'">Кто в Чате</a> | ';
 		echo'<a href="/pages/smiles.php">Cмайлы</a><br />';
 		echo '<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
 		echo '<a href="http://basaru.net.ru">.</a><br />';
include_once"../themes/$config_themes/foot.php";
?>